شما می توانید با استفاده از کد تخفیف firstup از 40 درصد تخفیف در اولین خرید خود استفاده کنید

صفحات وضعیت

GET https://uptimeiran.com/api/status-pages/
curl --request GET \
--url 'https://uptimeiran.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
پارامترها جزئیات توضیحات
page اختیاری عدد صحیح (Integer) شماره صفحه‌ای که می‌خواهید نتایج را از آن دریافت کنید. پیش‌فرض 1 است.
results_per_page اختیاری عدد صحیح (Integer) تعداد نتایجی که در هر صفحه می‌خواهید. مقادیر مجاز: 10 , 25 , 50 , 100 , 250 , 500 , 1000. پیش‌فرض 25 است.
{ "data": [ { "id": 1, "domain_id": 0, "monitors_ids": [1,2,3], "project_id": 0, "url": "example", "full_url": "https://uptimeiran.com/s/example/", "name": "Example", "description": "This is just a simple description for the example status page 👋.", "socials": { "facebook": "example", "instagram": "example", "twitter": "example", "email": "", "website": "https://example.com/" }, "logo_url": "", "favicon_url": "" "password": false, "timezone": "UTC", "custom_js": "", "custom_css": "", "pageviews": 50, "is_se_visible": true, "is_removed_branding": false, "is_enabled": true, "datetime": "2026-03-02 10:23:24" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://uptimeiran.com/api/status-pages?&page=1", "last": "https://uptimeiran.com/api/status-pages?&page=1", "next": null, "prev": null, "self": "https://uptimeiran.com/api/status-pages?&page=1" } }
GET https://uptimeiran.com/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://uptimeiran.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "domain_id": 0, "monitors_ids": [1,2,3], "project_id": 0, "url": "example", "full_url": "https://uptimeiran.com/s/example/", "name": "Example", "description": "This is just a simple description for the example status page 👋.", "socials": { "facebook": "example", "instagram": "example", "twitter": "example", "email": "", "website": "https://example.com/" }, "logo_url": "", "favicon_url": "" "password": false, "timezone": "UTC", "custom_js": "", "custom_css": "", "pageviews": 50, "is_se_visible": true, "is_removed_branding": false, "is_enabled": true, "datetime": "2026-03-02 10:23:24" } }